| Class Specialization Score Zero Scoring scheme for chaining that set gap scores to 0
Score
Score Zero
Score<TValue, Zero> Parameters
TValue | Type of the score values.
Specialization of Score Metafunctions
DefaultFindBeginPatternSpec | Type of the default findBegin pattern specialization, given a score. (Score)
Value | Type of the items in the container. (Score)
Member Functions
Score | Constructor (Score)
Functions
alignmentEvaluation | Given a multiple alignment, this function calculates all kinds of alignment statistics. (Score)
globalAlignment | Computes the best global alignment of the two sequences. (Score)
globalMsaAlignment | Computes a global multiple alignment. (Score)
localAlignment | Computes the best local alignment of two sequences. (Score)
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping. (Score)
multiLocalAlignment | Computes multiple local alignments of two sequences. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
sumOfPairsScore | Given a multiple alignment, this function calculates the sum-of-pairs score. (Score)
Example Programs Local Alignments, Global Alignments SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51